# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/HTTP.pm) perl(CGI/ExtDirect.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(RPC/ExtDirect.pm) perl(RPC/ExtDirect/API.pm) perl(RPC/ExtDirect/Client.pm) perl(RPC/ExtDirect/Config.pm) perl(RPC/ExtDirect/Event.pm) perl(RPC/ExtDirect/Server.pm) perl(RPC/ExtDirect/Test/Pkg/Meta.pm) perl(RPC/ExtDirect/Test/Util.pm) perl(RPC/ExtDirect/Util/Accessor.pm) perl(Test/More.pm) perl(base.pm) perl(common/sense.pm)
# END SourceDeps(oneline)
%def_without test
%define module_name RPC-ExtDirect-Client-Async
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.25
Release: alt1
Summary: Asynchronous Ext.Direct client in Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOKAREV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
=for readme continue

This module implements a fully asynchronous Ext.Direct client based on
the AnyEvent::HTTP manpage. It can be used with any event loop supported by
the AnyEvent manpage.

=for readme stop

If you are not familiar with Ext.Direct, start with the RPC::ExtDirect::Intro manpage
before going further.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/R*

%changelog
* Thu Jan 31 2019 Igor Vlasenko <viy@altlinux.ru> 1.25-alt1
- initial import by package builder

